<?php
/**
* © Copyright 2010 IntraHealth International, Inc.
* 
* This File is part of I2CE 
* 
* I2CE is free software; you can redistribute it and/or modify 
* it under the terms of the GNU General Public License as published by 
* the Free Software Foundation; either version 3 of the License, or
* (at your option) any later version.
* 
* This program is distributed in the hope that it will be useful, 
* but WITHOUT ANY WARRANTY; without even the implied warranty of 
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the 
* GNU General Public License for more details.
* 
* You should have received a copy of the GNU General Public License 
* along with this program.  If not, see <http://www.gnu.org/licenses/>.
* @package ihris-common
* @subpackage person
* @author Carl Leitner <litlfred@ibiblio.org>
* @version v4.0.5
* @since v4.0.5
* @filesource 
*/ 
/** 
* Class iHRIS_Module_Dependent
* 
* 
* @access public
*/


class iHRIS_Module_Dependent extends I2CE_Module {
	
    /** register a fuzzy method to display dependents on the view person page   */
    public static function getMethods() {
		
		return array(
		//'iHRIS_PageView->action_spouse'=>'show_spouse'
		);
    }
    /**
     * Return the array of hooks available in this module.
     * @return array
     */
    public static function getHooks() {
        return array(
                'validate_form_dependent' => 'validate_form_dependent'
                );
    }

    /**
     * Method to display the dependent child forms on the view person page.
     * @param iHRIS_PageView $pageObject
     **/
    public function show_spouse($pageObject) {
        if (!$pageObject instanceof iHRIS_PageView) {
            return;
        }
        $pageObject->addChildForms('spouse');
        return true; 
    }
     /**
     * Perform extra validation for the spouse  form.
     * Check the date of birth that should correspond to 12 years old to be an spouse
     * @param I2CE_Form $form
     */
    public function validate_form_dependent( $form ) {
       //var_dump($form);
        //echo "Enter !!!!!";
        $telephone=$form->getField('telephone')->getValue();
        var_dump($telephone);
        if(strlen($telephone)>0)
        {
			if ( I2CE_Validate::checkNumber( $telephone )==false) {
			$form->setInvalidMessage('telephone','Le telephone ne doit contenir que des chiffres', '');
			}
			elseif (strlen($telephone)>=10)
			{
				$form->setInvalidMessage('telephone','Le numero de telephone ne doit pas depasser 10 chiffres', '');
			}
			else
			{
				return;
			}
		}
    }


}
# Local Variables:
# mode: php
# c-default-style: "bsd"
# indent-tabs-mode: nil
# c-basic-offset: 4
# End:
