<?php
/**
* © Copyright 2010 IntraHealth International, Inc.
* 
* This File is part of I2CE 
* 
* I2CE is free software; you can redistribute it and/or modify 
* it under the terms of the GNU General Public License as published by 
* the Free Software Foundation; either version 3 of the License, or
* (at your option) any later version.
* 
* This program is distributed in the hope that it will be useful, 
* but WITHOUT ANY WARRANTY; without even the implied warranty of 
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the 
* GNU General Public License for more details.
* 
* You should have received a copy of the GNU General Public License 
* along with this program.  If not, see <http://www.gnu.org/licenses/>.
* @package ihris-common
* @subpackage person
* @author Carl Leitner <litlfred@ibiblio.org>
* @version v4.0.5
* @since v4.0.5
* @filesource 
*/ 
/** 
* Class iHRIS_Module_Spouse
* 
* @access public
*/


class iHRIS_Module_Specialisation extends I2CE_Module {
	
    /**
     * Return the array of hooks available in this module.
     * @return array
     */
    public static function getHooks() {
        return array(
                'validate_form_specialisation' => 'validate_form_specialisation'
                );
    }
     /**
     * Perform extra validation for the spouse  form.
     * Check the date of birth that should correspond to 12 years old to be an spouse
     * @param I2CE_Form $form
     */
    public function validate_form_specialisation( $form ) {
       //var_dump($form);
        if(isset($form->profession) || isset($form->cadre))
        {
			$profession=$form->getField('profession')->getDBValue();
			$corps=$form->getField('cadre')->getDBValue();
			//var_dump($form->getField('profession')->getDBValue());
			if(strlen($corps)>=1 && strlen($profession)>=1)
			{
				//Could sepecifiy only one cadre or profession at a time;
				$form->setInvalidMessage('profession','Veuillez specifier soit la profession ou le coprs!', '');
				$form->setInvalidMessage('cadre','Veuillez specifier soit la profession ou le coprs!', '');
			}
			elseif (strlen($corps)==0 && strlen($profession)==0)
			{
				$form->setInvalidMessage('profession','Veuillez specifier soit la profession ou le coprs!', '');
				$form->setInvalidMessage('cadre','Veuillez specifier soit la profession ou le coprs!', '');
			}
			else
			{
				return;
			}
			
			
		}
		else
		{
			$form->setInvalidMessage('name','Veuillez specifier soit la profession ou le coprs!', '');
		}
    }


}
# Local Variables:
# mode: php
# c-default-style: "bsd"
# indent-tabs-mode: nil
# c-basic-offset: 4
# End:
