<?php
/**
* © Copyright 2010 IntraHealth International, Inc.
* 
* This File is part of I2CE 
* 
* I2CE is free software; you can redistribute it and/or modify 
* it under the terms of the GNU General Public License as published by 
* the Free Software Foundation; either version 3 of the License, or
* (at your option) any later version.
* 
* This program is distributed in the hope that it will be useful, 
* but WITHOUT ANY WARRANTY; without even the implied warranty of 
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the 
* GNU General Public License for more details.
* 
* You should have received a copy of the GNU General Public License 
* along with this program.  If not, see <http://www.gnu.org/licenses/>.
* @package ihris-common
* @subpackage person
* @author Carl Leitner <litlfred@ibiblio.org>
* @version v4.0.5
* @since v4.0.5
* @filesource 
*/ 
/** 
* Class iHRIS_Module_Spouse
* 
* @access public
*/


class iHRIS_Module_Spouse extends I2CE_Module {
	const MIN_AGE_MARIAGE=12;
    /** register a fuzzy method to display dependents on the view person page   */
    public static function getMethods() {
		/*
        return array('iHRIS_PageView->action_spouse'=>'show_spouse',
					'validate_form_spouse' => 'validate_form_spouse');*/
		return array(
		'iHRIS_PageView->action_spouse'=>'show_spouse');
    }
    /**
     * Return the array of hooks available in this module.
     * @return array
     */
    public static function getHooks() {
        return array(
                'validate_form_spouse' => 'validate_form_spouse'
                );
    }

    /**
     * Method to display the dependent child forms on the view person page.
     * @param iHRIS_PageView $pageObject
     **/
    public function show_spouse($pageObject) {
        if (!$pageObject instanceof iHRIS_PageView) {
            return;
        }
        $pageObject->addChildForms('spouse');
        return true; 
    }
     /**
     * Perform extra validation for the spouse  form.
     * Check the date of birth that should correspond to 12 years old to be an spouse
     * @param I2CE_Form $form
     */
    public function validate_form_spouse( $form ) {
       //var_dump($form);
        if(isset($form->dob))
        {
			$stringDoB=$form->dob->day().'/'.$form->dob->month().'/'.$form->dob->year();
			//print_r("string doB :".$stringDoB);
			$doB= dateTime::createFromFormat('d/m/Y',$stringDoB);
			//print_r(" doB :".$doB);
			//Check if the person is below 12 
			$currentDate= new DateTime();
			$diff=$currentDate->diff($doB);
			$age=$diff->y;
			//print_r("Age :".$age);
			if($age<self::MIN_AGE_MARIAGE)
			{
				$form->setInvalidMessage('dob','L\'age doit être supérieur à '.self::MIN_AGE_MARIAGE.' ans à la date d\enregistrement!!', '');
			}
			
		}
    }


}
# Local Variables:
# mode: php
# c-default-style: "bsd"
# indent-tabs-mode: nil
# c-basic-offset: 4
# End:
